/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/6/16
 */
package org.springblade.modules.business.data.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.business.data.entity.RtuDataSzyFlowRateEntity;
import org.springblade.modules.business.data.entity.RtuDataWqRiverEntity;
import org.springblade.modules.business.data.mapper.RtuDataSzyRiverMapper;
import org.springblade.modules.business.data.service.IRtuDataSzyRiverService;
import org.springframework.stereotype.Service;

import java.util.Date;

/***
 * Date:2023/6/16
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
public class RtuDataSzyRiverServiceImpl extends BaseServiceImpl<RtuDataSzyRiverMapper, RtuDataWqRiverEntity> implements IRtuDataSzyRiverService {
    @Override
    public boolean updateInfo(RtuDataWqRiverEntity entity) {
        LambdaQueryWrapper<RtuDataWqRiverEntity> dataWrapper = Wrappers.<RtuDataWqRiverEntity>query().lambda();
        dataWrapper.eq(RtuDataWqRiverEntity::getRtuCode, entity.getRtuCode());
        dataWrapper.eq(RtuDataWqRiverEntity::getIsDeleted, 0);
        RtuDataWqRiverEntity riverEntity = this.getOne(dataWrapper);
        if (null != riverEntity) {
            entity.setId(riverEntity.getId());
        }
        entity.setUpdateTime(new Date());
        return this.saveOrUpdate(entity);
    }
}
